// voxDoc.h : interface of the CVoxDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_VOXDOC_H__318B8222_1024_4C4C_8E0A_247112DEA8B4__INCLUDED_)
#define AFX_VOXDOC_H__318B8222_1024_4C4C_8E0A_247112DEA8B4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CVoxDoc : public CDocument
{
protected: // create from serialization only
	CVoxDoc();
	DECLARE_DYNCREATE(CVoxDoc)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVoxDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CVoxDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CVoxDoc)
	afx_msg void OnEseguiIstogramma();
	afx_msg void OnEseguiFiltrodiSobel();
	afx_msg void OnEseguiLaplaciano();
	afx_msg void OnEseguiSobellaplaciano();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VOXDOC_H__318B8222_1024_4C4C_8E0A_247112DEA8B4__INCLUDED_)
