// istogrammaDoc.cpp : implementation of the CIstogrammaDoc class
//

#include "stdafx.h"
#include "istogramma.h"

#include "istogrammaDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CIstogrammaDoc

IMPLEMENT_DYNCREATE(CIstogrammaDoc, CDocument)

BEGIN_MESSAGE_MAP(CIstogrammaDoc, CDocument)
	//{{AFX_MSG_MAP(CIstogrammaDoc)
	ON_COMMAND(ID_ESEGUI_GO, OnEseguiGo)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CIstogrammaDoc construction/destruction

CIstogrammaDoc::CIstogrammaDoc()
{
	// TODO: add one-time construction code here

}

CIstogrammaDoc::~CIstogrammaDoc()
{
}

BOOL CIstogrammaDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// TODO: add reinitialization code here
	// (SDI documents will reuse this document)

	return TRUE;
}



/////////////////////////////////////////////////////////////////////////////
// CIstogrammaDoc serialization

void CIstogrammaDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// TODO: add storing code here
	}
	else
	{
		// TODO: add loading code here
	}
}

/////////////////////////////////////////////////////////////////////////////
// CIstogrammaDoc diagnostics

#ifdef _DEBUG
void CIstogrammaDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CIstogrammaDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CIstogrammaDoc commands

    #include <ipl.h>
	#include <highgui.h>
	

void istogramma (IplImage *image,char finestra1[]);


void CIstogrammaDoc::OnEseguiGo() 
{
		IplImage *src;   // dichiaro un puntatore a IplImage
        char path[]="C:\\foglie0.bmp"; // path dell'immagine da caricare
		src=cvLoadImage(path);  // carico l'immagine contenuta in finestra1
	    istogramma (src,path);
	
}


void istogramma (IplImage *image,char finestra1[])

 { 
	
	int i;
	float bins;
    float minimo[1];   // minimo e massimo dell'istogramma
	float massimo[1];  // per adattarlo alle dimensioni dell'immagine
	int minidx[1];
	int maxidx[1];

	
	char finestra2[]="Istogramma dei toni di grigio";
	int dim=256;
	int *dimensione=&dim;            // numero di barre
	float threshold[2]={0,255};      // range di valori da analizzare
    float *pthreshold[1]={threshold};

	// creo l'immagine 2 di dimensioni fissate da cvSize e con un solo canale
	IplImage *image2=cvCreateImage(cvSize(image->width,image->height),IPL_DEPTH_8U,1);

	IplImage *image3=cvCreateImage(cvSize(768,900),IPL_DEPTH_8U,3);
 
	iplColorToGray(image,image2);  // l'immagine, convertita a toni di grigio, viene passata ad 
                                   //  "image2"

    CvHistogram *ist=cvCreateHist(1,dimensione,CV_HIST_ARRAY,0,1);
	// 1:numero di dimensioni dell'istogramma
	// dimensione: dimensione dell'array
	// CV_HIST_ARRAY: tipo dell'istogramma
	// 1: bins distribuiti uniformemente
   

	cvSetHistBinRanges(ist,pthreshold,1);
	// fissa l'intervallo in cui calcolare i bins


	cvNamedWindow(finestra1,CV_WINDOW_AUTOSIZE);   // creo le 2 finestre che si adattano alle
	cvNamedWindow(finestra2,CV_WINDOW_AUTOSIZE);   // dimensioni dell'immagine tramite la
	                                               // costante CV_WINDOW_AUTOSIZE

	cvShowImage(finestra1,image2);  // mostro nella finestra1 l'immagine
	
	cvCalcHist(&image2,ist,0,0);
	// image2: immagine sorgente di cui calcolo l'istogramma
	// 0: istogramma azzerato prima essere calcolato


	CvPoint p1,p2;
	p2.x=0;
	p2.y=(image->height-1);
	p1.x=0;
	p1.y=0;
	cvSetZero(image3);   // sfondo nero per l'immagine dell'istogramma


	cvGetMinMaxHistValue(ist,minimo,massimo,minidx,maxidx);
    //restituisce il valore min e max del'istogramma


	// traccio l'istogramma
	for (i=0; i<256;i++)
	
	{
		p1.x=p1.x+3;
		bins=cvQueryHistValue_1D(ist,i); //valore del bin dato dalla funzione
		
		// normalizzazione alle dimensioni dell'immagine
		int valore=int((image->height)*(bins/massimo[0]));
		p1.y=image->height-valore;
	    p2.x=p2.x+3;
		
		cvLine(image3,p1,p2,CV_RGB(200,0,0),2,8);
		// colore con valori RGB; 5: spessore della linea; 8:connettivit
	}
	
	cvShowImage(finestra2,image3);    // mostro nella finestra2 l'immagine
	
	cvWaitKey(0);  // blocco l'esecuzione finch non viene premuto un tasto
	
	cvDestroyWindow(finestra1);  //elimino le finestre dallo schermo
	cvDestroyWindow(finestra2);

	cvReleaseImage(&image);   //rilascio la memoria allocata per image
	cvReleaseImage(&image2);
	cvReleaseImage(&image3);
	
	cvReleaseHist(&ist);
 }